/******************************************************************************
*           Change Log
*  Date     | Change
*-----------+-----------------------------------------------------------------
* 20-Oct-06 | Created
* 20-Oct-06 | REQ #002: Support font setting and selection
******************************************************************************/

class CPrinter {
    public:
       CPrinter(CDC * dc = NULL);                                   // REQ #002
       virtual ~CPrinter();
       BOOL StartPrinting();
       void EndPrinting();
       void PrintLine(const CString & s);
       virtual void PageHeading();
       virtual void SetPrinterFont();
       BOOL SetFont(CFont * f);                                     // REQ #002
       BOOL SetFont(LPLOGFONT lf);                                  // REQ #002
       BOOL GetLogFont(LOGFONT & lf);                               // REQ #002
       BOOL RequestFont();                                          // REQ #002
       int GetPageNumber() { return pageNumber; }
    protected:
       CDC * dc;
       CFont font;
       LOGFONT fontSpec;                                            // REQ #002
       int pageVMargin;
       int pageHMargin;
       int pageHeight;
       int pageWidth;
       int Y;
       int lineHeight;
       BOOL pageStarted;
       BOOL docStarted;
       int pageNumber;
};
